IMG_LoadAnimation(3)

NAME
IMG_LoadAnimation - Load an animation from a file.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

IMG_Animation * IMG_LoadAnimation(const char *file);

DESCRIPTION
When done with the returned animation, the app should dispose of it with a call to IMG_FreeAnimation().

FUNCTION PARAMETERS

file
    path on the filesystem containing an animated image.

RETURN VALUE
Returns a new IMG_Animation, or NULL on error.

AVAILABILITY
This function is available since SDL_image 3.0.0.

SEE ALSO
IMG_CreateAnimatedCursor(3), IMG_LoadAnimation_IO(3), IMG_LoadAnimationTyped_IO(3), IMG_LoadANIAnimation_IO(3), IMG_LoadAPNGAnimation_IO(3), IMG_LoadAVIFAnimation_IO(3), IMG_LoadGIFAnimation_IO(3), IMG_LoadWEBPAnimation_IO(3), IMG_FreeAnimation(3)